--==========================================================================================================================
-- GAZEBO's VOX POPULI
--==========================================================================================================================
-- Missions
------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);

INSERT OR REPLACE INTO CustomModOptions(Name, Value) VALUES('PROMOTIONS_CROSS_MOUNTAINS', 1);
UPDATE UnitPromotions SET CanCrossMountains = 1, Help='TXT_KEY_PROMOTION_BALANCE_GOAT_HELP_CBO'
WHERE Type = 'PROMOTION_BALANCE_GOAT' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type = 'COMMUNITY_CORE_BALANCE' AND Value = 1);

INSERT OR REPLACE INTO CustomModOptions(Name, Value) VALUES('EVENTS_CUSTOM_MISSIONS', 1);
INSERT INTO Missions
		(Type,							Description, 								Help,										DisabledHelp,									Time,	Build,	Target, Sound,	HotKey,	HotKeyPriority, OrderPriority,	Visible, IconIndex, IconAtlas)
SELECT	'MISSION_JAR_MEDDISTOUTIKS',	'TXT_KEY_MISSION_JAR_MEDDIS_HURRY_PROD',	'TXT_KEY_MISSION_JAR_MEDDIS_HURRY_PROD_HELP',	'TXT_KEY_MISSION_JAR_MEDDIS_HURRY_PROD_DISABLED',	20,		0,		0,		0,		'KB_U',	2,				150,			1,		 0,		    'JAR_SAMNITES_MISSION_ATLAS'
WHERE EXISTS (SELECT * FROM CustomModOptions WHERE Name = 'EVENTS_CUSTOM_MISSIONS' AND Value = 1);

UPDATE Leaders set Personality = 'PERSONALITY_COALITION' where Type = 'LEADER_KOMIUS_CASTRONIUS'
AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LEADERS' AND Value= 1 );
------------------------------------------------------------
-- Buildings
------------------------------------------------------------
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_BIRD' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_HORSE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_COW' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_BISON' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_SHEEP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_DEER' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_IVORY' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_FUR' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET WLTKDTurns = '5' WHERE Type = 'BUILDING_TOTEM_TRUFFLE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET CitySupplyFlat = '1' WHERE Type = 'BUILDING_TOTEM_HORSE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET UnmoddedHappiness = '0', LocalUnhappinessModifier = '-33' WHERE Type = 'BUILDING_TOTEM_COW' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET CultureRateModifier = '0' WHERE Type = 'BUILDING_TOTEM_SHEEP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET GPExpendInfluence = 15 WHERE Type = 'BUILDING_TOTEM_FUR' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

DELETE FROM Building_YieldModifiers WHERE BuildingType IN (select Type from Buildings where BuildingClass = 'BUILDINGCLASS_TOTEM')
AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
DELETE FROM Building_FeatureYieldChanges WHERE BuildingType IN (select Type from Buildings where BuildingClass = 'BUILDINGCLASS_TOTEM')
AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
DELETE FROM Building_TerrainYieldChanges WHERE BuildingType IN (select Type from Buildings where BuildingClass = 'BUILDINGCLASS_TOTEM')
AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_YieldChangesPerPop
		(BuildingType, 			YieldType, 		Yield) 
VALUES	('BUILDING_TOTEM_BISON', 'YIELD_PRODUCTION',20),
		('BUILDING_TOTEM_BIRD', 'YIELD_GOLD', 		20),
		('BUILDING_TOTEM_SHEEP', 'YIELD_CULTURE',	20);

INSERT INTO Building_YieldPerXFeatureTimes100
		(BuildingType, FeatureType, YieldType, Yield)
VALUES	('BUILDING_TOTEM_BIRD',	'FEATURE_JUNGLE','YIELD_PRODUCTION',	50),
		('BUILDING_TOTEM_BIRD',	'FEATURE_MARSH','YIELD_PRODUCTION',	50),
		('BUILDING_TOTEM_BIRD',	'FEATURE_OASIS','YIELD_PRODUCTION',	50),
		('BUILDING_TOTEM_DEER','FEATURE_FOREST','YIELD_FOOD',	50);

INSERT INTO Building_YieldPerXTerrainTimes100
		(BuildingType, TerrainType, YieldType, Yield)
VALUES	('BUILDING_TOTEM_DEER', 'TERRAIN_SNOW', 'YIELD_FOOD', 50),
		('BUILDING_TOTEM_COW', 'TERRAIN_GRASS', 'YIELD_CULTURE', 33),
		('BUILDING_TOTEM_BISON', 'TERRAIN_PLAINS', 'YIELD_CULTURE', 33);

INSERT INTO Building_PlotYieldChanges
		(BuildingType, 			PlotType, YieldType, Yield)
VALUES	('BUILDING_TOTEM_SHEEP', 'PLOT_HILLS', 'YIELD_FOOD', 1);

INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, ImprovementType, YieldType, Yield)
VALUES	('BUILDING_TOTEM_COW', 'IMPROVEMENT_FARM', 'YIELD_PRODUCTION', 1),
		('BUILDING_TOTEM_COW', 'IMPROVEMENT_PLANTATION', 'YIELD_PRODUCTION', 1),
		('BUILDING_TOTEM_DEER', 'IMPROVEMENT_CAMP', 'YIELD_CULTURE', 1),
		('BUILDING_TOTEM_DEER', 'IMPROVEMENT_TRADING_POST', 'YIELD_PRODUCTION', 1);

INSERT INTO Building_SpecialistYieldChangesLocal
		(BuildingType, 			SpecialistType,		YieldType, 		Yield) 
SELECT	'BUILDING_TOTEM_IVORY', Type,				'YIELD_CULTURE', 1 
FROM Specialists WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE');

INSERT INTO Building_YieldFromDeath
		(BuildingType, YieldType, Yield)
VALUES	('BUILDING_TOTEM_TRUFFLE', 'YIELD_GOLDEN_AGE_POINTS', 5);

INSERT INTO Building_YieldChanges 
		(BuildingType, 				YieldType,					Yield)
VALUES	('BUILDING_TOTEM_TRUFFLE',	'YIELD_GREAT_GENERAL_POINTS',	2);


UPDATE Buildings SET GlobalGreatPeopleRateModifier = 0, WorkerSpeedModifier= 0
WHERE Type in ('BUILDING_TOTEM_IVORY', 'BUILDING_TOTEM_FUR') AND EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );

INSERT INTO Building_YieldChanges 
		(BuildingType, 			YieldType,		Yield)
SELECT	'BUILDING_TOTEM_IVORY',	'YIELD_GOLDEN_AGE_POINTS',	2
WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );
	
INSERT INTO Building_YieldChangesPerPop
		(BuildingType, 			YieldType, 		Yield) 
SELECT	'BUILDING_TOTEM_IVORY', 'YIELD_GOLDEN_AGE_POINTS', 20
WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );


UPDATE Buildings SET Help='TXT_KEY_BUILDING_TOTEM_IVORY_HELP_CBO' WHERE Type = 'BUILDING_TOTEM_IVORY' AND EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );
UPDATE Buildings SET Help='TXT_KEY_BUILDING_TOTEM_FUR_HELP_CBO' WHERE Type = 'BUILDING_TOTEM_FUR' AND EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );

INSERT INTO Building_YieldPerFriend
		(BuildingType, 			YieldType, 		Yield) 
SELECT	'BUILDING_TOTEM_FUR', 'YIELD_FOOD', 		1 WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' ) UNION ALL
SELECT	'BUILDING_TOTEM_FUR', 'YIELD_PRODUCTION', 	1 WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' ) UNION ALL
SELECT	'BUILDING_TOTEM_FUR', 'YIELD_GOLD', 		1 WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' ) UNION ALL
SELECT	'BUILDING_TOTEM_FUR', 'YIELD_CULTURE', 		1 WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' ) UNION ALL
SELECT	'BUILDING_TOTEM_FUR', 'YIELD_FAITH', 		1 WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' ) UNION ALL
SELECT	'BUILDING_TOTEM_FUR', 'YIELD_SCIENCE', 		1 WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' ) UNION ALL
SELECT	'BUILDING_TOTEM_FUR', 'YIELD_TOURISM', 		1 WHERE EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );
------------------------------------------------------------
-- Units
------------------------------------------------------------
UPDATE Units SET PrereqTech = 'TECH_ARCHERY' WHERE Type = 'UNIT_LEGIO_LINTEATA' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
UPDATE Units SET SupplyCapBoost = '2' WHERE Type = 'UNIT_MEDDIS_TOUTIKS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );

UPDATE UnitPromotions SET DefenseMod = '25' WHERE Type = 'PROMOTION_STURDINESS_BUFFALO' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS');
UPDATE UnitPromotions SET EnemyHealChange = '10', NeutralHealChange = '10', FriendlyHealChange = '10' WHERE Type = 'PROMOTION_SERENITY_OX' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS');
UPDATE UnitPromotions SET GoldenAgeValueFromKills = '100' WHERE Type = 'PROMOTION_FURY_BOAR' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS');
--------------------------
--------------------------
UPDATE Policies SET IsDummy = '1'
WHERE Type = 'POLICY_TOTEM_TRUFFLE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );

UPDATE Policies SET IsDummy = '1'
WHERE Type = 'POLICY_TOTEM_TRUFFLE2' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );

UPDATE Policies SET IsDummy = '1'
WHERE Type = 'POLICY_TOTEM_TRUFFLE3' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );

UPDATE Policies SET IsDummy = '1'
WHERE Type = 'POLICY_TOTEM_TRUFFLE4' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );

UPDATE Policies SET IsDummy = '1'
WHERE Type = 'POLICY_TOTEM_TRUFFLE5' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );
------------------------------------------------------------	
-- SUKRITACT's E&D VP
------------------------------------------------------------
INSERT INTO Policy_YieldFromBirth
	(PolicyType,				YieldType,		Yield) VALUES
	('POLICY_DECISIONS_VEREHIA', 'YIELD_CULTURE', 20),
	('POLICY_DECISIONS_VEREHIA', 'YIELD_PRODUCTION', 20);
	
UPDATE Policies
SET ExtraSupplyPerPopulation = '10', IsDummy = '1'
WHERE Type = 'POLICY_DECISIONS_VEREHIA' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );

UPDATE Policies SET IsDummy = '1'
WHERE Type = 'POLICY_DECISIONS_TRATTURI' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_POLICIES' AND Value= 1 );



UPDATE Language_en_US
SET Text = '+1[ICON_GOLD] every 5 [ICON_CITIZEN] Citizens in the City.[NEWLINE]+1[ICON_PRODUCTION] Production every 2 Jungle, Marsh or Oasis tiles. [NEWLINE]+1[ICON_GREAT_MUSICIAN] Great Musician point.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_BIRD_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );


UPDATE Language_en_US
SET Text = '+1 [ICON_RESEARCH] Science for every 5 [ICON_CITIZEN] Citizens. [NEWLINE]+15 XP for all Units. Increases the Military Unit Supply Cap by 1. [NEWLINE]+1[ICON_GREAT_WRITER] Great Writer point.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_HORSE_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );


UPDATE Language_en_US
SET Text = '-33%[ICON_HAPPINESS_3] Unhappiness in the City.[NEWLINE]+1 [ICON_PRODUCTION] Production from Farms and Plantations.[NEWLINE]+1[ICON_CULTURE] Culture every 3 Grassland tiles. [NEWLINE]+1[ICON_GREAT_ARTIST] Great Artist point.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_COW_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );


UPDATE Language_en_US
SET Text = '+1[ICON_PRODUCTION] every 5 [ICON_CITIZEN] Citizens in the City.[NEWLINE]City gains 3[ICON_STRENGTH] Defense and 25 HP.[NEWLINE]+1[ICON_CULTURE] Culture every 3 Plains tiles. [NEWLINE]+1[ICON_GREAT_ENGINEER] Great Engineer point.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_BISON_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );


UPDATE Language_en_US
SET Text = '+1[ICON_CULTURE] every 5 [ICON_CITIZEN] Citizens in the City. [NEWLINE]+1 [ICON_FOOD] Food from Hills. [NEWLINE]+1 [ICON_GREAT_MERCHANT] Great Merchant Point.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_SHEEP_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );


UPDATE Language_en_US
SET Text = '+1[ICON_FOOD] Food every 2 Forest or Snow tiles. [NEWLINE]+1 [ICON_CULTURE] Culture from Camps and +1 [ICON_PRODUCTION] Production from Villages. [NEWLINE]+1[ICON_GREAT_SCIENTIST] Great Scientist Point.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_DEER_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );


UPDATE Language_en_US
SET Text = '+10%[ICON_GREAT_PEOPLE] Great People generation empire-wide. [NEWLINE]+1 [ICON_CULTURE] Culture from Specialists in this City. [NEWLINE]+1 [ICON_CULTURE] Culture from [ICON_RES_IVORY] Ivory.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_IVORY_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE');


UPDATE Language_en_US
SET Text = 'Tile improvement construction speed increased by 10%. [NEWLINE]+15 [ICON_INFLUENCE] Influence when a Great Person is expended. [NEWLINE]+1 [ICON_CULTURE] Culture from [ICON_RES_FUR] Fur.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_FUR_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE');


UPDATE Language_en_US
SET Text = '+2 [ICON_GREAT_GENERAL]. Unit [ICON_GOLD] Gold maintenance reduced by 5% (max 20% empire-wide). [NEWLINE]Receive 5 [ICON_GOLDEN_AGE] Golden Age Points whenever an owned Unit is killed in battle. [NEWLINE]+1 [ICON_CULTURE] Culture from [ICON_RES_TRUFFLES] Truffles.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_TRUFFLES_HELP' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );


UPDATE Language_en_US
SET Text = '+2[ICON_GOLDEN_AGE], +1[ICON_GOLDEN_AGE] every 5 [ICON_GOLDEN_AGE] Citizens in the City. [NEWLINE]+1 [ICON_CULTURE] Culture from Specialists in this City. [NEWLINE]+1 [ICON_CULTURE] Culture from [ICON_RES_IVORY] Ivory.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_IVORY_HELP' AND EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );


UPDATE Language_en_US
SET Text = '+1 [ICON_FOOD]/[ICON_PRODUCTION]/[ICON_GOLD]/[ICON_CULTURE]/[ICON_PEACE]/[ICON_RESEARCH]/[ICON_TOURISM] for every City State Friend. [NEWLINE]+15 [ICON_INFLUENCE] Influence when a Great Person is expended. [NEWLINE]+1 [ICON_CULTURE] Culture from [ICON_RES_FUR] Fur.'
WHERE Tag = 'TXT_KEY_BUILDING_TOTEM_FUR_HELP' AND EXISTS (SELECT * FROM Corporations WHERE Type='CORPORATION_TRADER_SIDS' );
--==========================================================================================================================		
--==========================================================================================================================