--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType text, ColonyName text, LinguisticType text);
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType text, CultureType text, LegislatureName text, OfficeTitle text, GovernmentType text, Weight integer);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResource(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
CREATE TABLE IF NOT EXISTS JFD_Civilopedia_HideFromPedia(Type text);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings(Type text, Value integer default 1);
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings (Type text, Value integer default 1);
--==========================================================================================================================
-- LEADERS
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
-- Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_DECOLONIZATION'),
		('FLAVOR_JFD_MERCENARY'),
		('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_LEGAL'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_EDUCATION'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION'),
		('FLAVOR_JFD_RELIGIOUS_INTOLERANCE'),
		('FLAVOR_JFD_SLAVERY'),
		('FLAVOR_JFD_STATE_RELIGION');
--------------------------------------------------------------------------------------------------------------------------
-- Leader_Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,							Flavor)
VALUES	('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_DECOLONIZATION',		4),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_MERCENARY',				8),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',	7),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_GOVERNMENT',		6),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_LEGAL',			7),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_CULTURE',		5),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_ECONOMIC',		5),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_EDUCATION',		4),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_FOREIGN',		5),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_INDUSTRY',		7),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_MILITARY',		9),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_REFORM_RELIGION',		4),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_SLAVERY',				8),
		('LEADER_KOMIUS_CASTRONIUS',	'FLAVOR_JFD_STATE_RELIGION',		5);
		
--Note that the following values will be used if none are specified:
--FLAVOR_JFD_DECOLONIZATION == FLAVOR_EXPANSION
--FLAVOR_JFD_MERCENARY == FLAVOR_OFFENSE
--FLAVOR_JFD_REFORM_GOVERNMENT == FLAVOR_GROWTH
--FLAVOR_JFD_REFORM_LEGAL == FLAVOR_HAPPINESS
--FLAVOR_JFD_REFORM_CULTURE == FLAVOR_CULTURE
--FLAVOR_JFD_REFORM_ECONOMIC == FLAVOR_GOLD
--FLAVOR_JFD_REFORM_EDUCATION == FLAVOR_SCIENCE
--FLAVOR_JFD_REFORM_FOREIGN == FLAVOR_DIPLOMACY
--FLAVOR_JFD_REFORM_INDUSTRY == FLAVOR_PRODUCTION
--FLAVOR_JFD_REFORM_MILITARY == FLAVOR_OFFENSE
--FLAVOR_JFD_REFORM_RELIGION == FLAVOR_RELIGION
--FLAVOR_JFD_RELIGIOUS_INTOLERANCE == FLAVOR_RELIGION
--FLAVOR_JFD_SLAVERY == FLAVOR_OFFENSE
--FLAVOR_JFD_STATE_RELIGION == FLAVOR_RELIGION
--==========================================================================================================================
-- CIVILIZATIONS
--==========================================================================================================================
------------------------------------------------------------------------------------------------------------------------
-- Civilization_JFD_CultureTypes
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilization_JFD_CultureTypes(CivilizationType, CultureType, SubCultureType, ArtDefineTag, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag,	SoundtrackTag, UnitDialogueTag);
INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,			ArtDefineTag, CultureType,	SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag,		SplashScreenTag, SoundtrackTag,  UnitDialogueTag)
SELECT	'CIVILIZATION_SAMNITES',	ArtDefineTag, CultureType,	SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag,		SplashScreenTag, SoundtrackTag,  UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_ROME';
	
UPDATE Civilizations 
SET SoundtrackTag = (SELECT SoundtrackTag FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_SAMNITES')
WHERE Type = 'CIVILIZATION_SAMNITES' AND EXISTS (SELECT SoundID FROM Audio_Sounds WHERE SoundID = 'SND_JFD_ABORIGINAL_PEACE_01');
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_JFD_ColonialCityNames
		(CivilizationType, 					ColonyName,							LinguisticType)
VALUES	('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_01',	null), -- Capua
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_02',	null), -- Fregellae
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_03',	null), -- Salernum
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_04',	null), -- Nola
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_05',	null), -- Casinum
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_06',	null), -- Cales
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_07',	null), -- Herculaneum
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_08',	null), -- Luceria
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_09',	null), -- Sipontum
		('CIVILIZATION_SAMNITES', 			'TXT_KEY_COLONY_NAME_SAMNITES_10',	null); -- Pompeii
		
INSERT INTO Civilization_JFD_ColonialCityNames 
		(CivilizationType, 			LinguisticType)
SELECT	'CIVILIZATION_SAMNITES',	LinguisticType
FROM Civilization_JFD_ColonialCityNames WHERE CivilizationType = 'CIVILIZATION_ROME';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_Governments
--------------------------------------------------------------------------------------------------------------------------
--GOVERNMENT_JFD_MONARCHY
--GOVERNMENT_JFD_PRINCIPALITY
--GOVERNMENT_JFD_REPUBLIC
--GOVERNMENT_JFD_THEOCRACY
--GOVERNMENT_JFD_DICTATORSHIP
--GOVERNMENT_JFD_SHOGUNATE
--GOVERNMENT_JFD_HOLY_ROMAN_EMPIRE
--GOVERNMENT_JFD_PAPACY
--GOVERNMENT_JFD_MANDATE_OF_HEAVEN
--GOVERNMENT_JFD_CALIPHATE
INSERT INTO Civilization_JFD_Governments
		(CivilizationType,			GovernmentType,				Weight)
VALUES  ('CIVILIZATION_SAMNITES',	'GOVERNMENT_JFD_CHIEFDOM',	90);
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YnAEMP
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,			MapPrefix,		X,		Y,		AltX,	AltY)
		-- v23/24
VALUES	('CIVILIZATION_SAMNITES',	'Yagem',		22,		57,		null,	null),
		('CIVILIZATION_SAMNITES',	'Yahem',		62,		53,		null,	null),
		('CIVILIZATION_SAMNITES',	'Cordiform',	37,		23,		null,	null),
		('CIVILIZATION_SAMNITES',	'GreatestEarth', 51,	41,		null,	null),
		('CIVILIZATION_SAMNITES',	'EuroGiant',	70,		31,		null,	null),
		('CIVILIZATION_SAMNITES',	'EuroLarge', 	38,		31,		null,	null),
		('CIVILIZATION_SAMNITES',	'EuroLargeNew', 42,		22,		null,	null),
		('CIVILIZATION_SAMNITES',	'NorthAtlantic', 101,	22,		null,	null),
		('CIVILIZATION_SAMNITES',	'Apennine', 	37,  	30,		null,	null),
		('CIVILIZATION_SAMNITES',	'Mediterranean', 47,	40,		null,	null),
		('CIVILIZATION_SAMNITES',	'Adriatic', 	56,		4,		null,	null),
		('CIVILIZATION_SAMNITES',	'AfriAsiaAust', 30,		76,		null,	null),
		('CIVILIZATION_SAMNITES',	'AfriSouthEuro', 37,	69,		null,	null),
		-- v25
		('CIVILIZATION_SAMNITES',	'MediterraneanHuge', 43, 31,	null,	null),
		('CIVILIZATION_SAMNITES',	'Orient', 		13, 	70,		null,	null),
		('CIVILIZATION_SAMNITES',	'AtlanticGiant', 154,	39,		null,	null),
		('CIVILIZATION_SAMNITES',	'EarthMk3',		23,		53,		null,	null);
--------------------------------------------------------------------------------------------------------------------------	
-- Civilizations_YnAEMPRequestedResource
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMPRequestedResource
		(CivilizationType,			MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_SAMNITES',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YnAEMPRequestedResource WHERE CivilizationType = 'CIVILIZATION_ROME';
--=======================================================================================================================
-- BINGLES CIV IV TRAITS
--=======================================================================================================================
-- Leader_SharedTraits
------------------------------	
--POLICY_AGGRESSIVE_X [ICON_WAR] (Military)
--POLICY_CHARISMATIC_X [ICON_HAPPINESS_1] (Happiness)
--POLICY_CREATIVE_X [ICON_CULTURE] (Culture)
--POLICY_DIPLOMATIC_X [ICON_INFLUENCE] (City States)
--POLICY_EXPANSIVE_X [ICON_FOOD] (Food)
--POLICY_FINANCIAL_X [ICON_GOLD] (City Connections, Domestic Trade Routes)
--POLICY_IMPERIALISTIC_X [ICON_CITY_STATE] (Admirals, Generals)
--POLICY_INDUSTRIOUS_X [ICON_PRODUCTION] (Production)
--POLICY_INVENTIVE_X [ICON_RESEARCH] (Science)
--POLICY_MERCANTILE_X [ICON_TRADE] (Gold)
--POLICY_PHILOSOPHICAL_X [ICON_GREAT_PEOPLE] (Great People)
--POLICY_PROTECTIVE_X [ICON_STRENGTH] (Defense)
--POLICY_SEAFARING_X [ICON_MOVES] (Navy)
--POLICY_SPIRITUAL_X [ICON_PEACE] (Faith)
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);

INSERT INTO Leader_SharedTraits
        (LeaderType,			TraitOne,				TraitTwo)
VALUES  ('LEADER_KOMIUS_CASTRONIUS',	'POLICY_PROTECTIVE_X',	'POLICY_INDUSTRIOUS_X');
------------------------------	
-- Leaders
------------------------------	
UPDATE Leaders 
SET Description = 'Comius Castronius [ICON_STRENGTH][ICON_PRODUCTION]'
WHERE Type = 'LEADER_KOMIUS_CASTRONIUS'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------	
UPDATE Civilizations 
SET ArtStyleSuffix = '_ROME'
WHERE Type = 'CIVILIZATION_SAMNITES'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_ROME');
--==========================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS
--==========================================================================================================================
-- Civilization_Religions
------------------------------------------------------------
UPDATE Civilization_Religions SET ReligionType =
( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type='RELIGION_NUMENISM' )
THEN 'RELIGION_NUMENISM'
ELSE 'RELIGION_CHRISTIANITY' END
) WHERE CivilizationType = 'CIVILIZATION_SAMNITES';
--==========================================================================================================================
-- UNIQUE CULTURAL INFLUENCE
--==========================================================================================================================
INSERT INTO Diplomacy_Responses
		(LeaderType,					ResponseType,					Response,										Bias)
VALUES	('LEADER_KOMIUS_CASTRONIUS',	'RESPONSE_INFLUENTIAL_ON_AI',	'TXT_KEY_LEADER_SAMNITES_INFLUENTIAL_ON_AI%',	1),
		('LEADER_KOMIUS_CASTRONIUS',	'RESPONSE_INFLUENTIAL_ON_HUMAN','TXT_KEY_LEADER_SAMNITES_INFLUENTIAL_ON_HUMAN%',1);
--==========================================================================================================================
-- SUKRITACT'S DECISIONS
--==========================================================================================================================
-- DecisionsAddin_Support
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS DecisionsAddin_Support(FileName);
INSERT INTO DecisionsAddin_Support (FileName) VALUES ('Samnites_Decisions.lua');
------------------------------------------------------------
-- Policies
------------------------------------------------------------
INSERT INTO Policies 
		(Type,							Description, 		RouteGoldMaintenanceMod) 
VALUES	('POLICY_DECISIONS_TRATTURI',	'TXT_KEY_DECISIONS_POLICY_TRATTURI', 	-20),
		('POLICY_DECISIONS_VEREHIA',	'TXT_KEY_DECISIONS_POLICY_VEREHIA',		0);

INSERT INTO Policy_ImprovementYieldChanges
	(PolicyType, 				ImprovementType, YieldType, Yield) VALUES
	('POLICY_DECISIONS_TRATTURI','IMPROVEMENT_PASTURE','YIELD_GOLD', 1);
------------------------------------------------------------
-- UnitPromotions
------------------------------------------------------------
INSERT INTO UnitPromotions
	(Type, 							Description, 							Help, 										CombatPercent,	LostWithUpgrade, Sound, 			CannotBeChosen, PortraitIndex, IconAtlas, PediaType, PediaEntry) VALUES
	('PROMOTION_DECISIONS_VEREHIA', 'TXT_KEY_PROMOTION_DECISIONS_VEREHIA', 'TXT_KEY_PROMOTION_DECISIONS_VEREHIA_HELP', 		10,			0,				'AS2D_IF_LEVELUP', 	1,				13, 'promoSamnites_atlas', 'PEDIA_SHARED', 'TXT_KEY_PROMOTION_DECISIONS_VEREHIA');

INSERT INTO UnitPromotions_UnitCombats
	(PromotionType, 				UnitCombatType) VALUES
	('PROMOTION_DECISIONS_VEREHIA', 'UNITCOMBAT_RECON'),
	('PROMOTION_DECISIONS_VEREHIA', 'UNITCOMBAT_MOUNTED'),
	('PROMOTION_DECISIONS_VEREHIA', 'UNITCOMBAT_ARCHER'),
	('PROMOTION_DECISIONS_VEREHIA', 'UNITCOMBAT_MELEE'),
	('PROMOTION_DECISIONS_VEREHIA', 'UNITCOMBAT_GUN'),
	('PROMOTION_DECISIONS_VEREHIA', 'UNITCOMBAT_ARMOR'),
	('PROMOTION_DECISIONS_VEREHIA', 'UNITCOMBAT_SIEGE');
--==========================================================================================================================
-- TROLLER0001's ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- Achievopedia_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Achievopedia_Tabs (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Header					text							default null,
	Description				text							default	null);

INSERT OR REPLACE INTO Achievopedia_Tabs
		(Type,				Header,								Description)
VALUES	('TAB_JAR_CIVS',	'TXT_KEY_TAB_JAR_CIVS_HEADER',		'TXT_KEY_TAB_JAR_CIVS_DESC');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Mods
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Mods (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	ModName					text							default null,
	ModID					text							default	null,	
	Authors					text							default	null);

INSERT INTO AdditionalAchievements_Mods
		(Type,						ModName,								ModID,										Authors)
VALUES	('MOD_JAR_SAMNITES',	'TXT_KEY_MOD_JAR_SAMNITES_NAME',	'TXT_KEY_MOD_JAR_SAMNITES_MODID',	'TXT_KEY_MOD_JAR_SAMNITES_AUTHORS');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Achievopedia			text							default null,
	Header					text							default	null,	
	IconAtlas				text							default	null,	
	PortraitIndex			integer							default	0,
	ModType					text							default	null,	
	ModVersion				integer							default	0,
	Unlocked				boolean							default	0,
	LockedIconAtlas			text							default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex		integer							default	23,
	UnlockSound				text							default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration			integer							default	-1,
	Hidden					boolean							default	0,
	HiddenBorder			boolean							default	0,
	RequiredCivWin			text							default	null,
	RequiredCivLoss			text							default	null,
	RequiredCivKill			text							default	null);

INSERT INTO AdditionalAchievements
		(Type,								Header,												Achievopedia,			ModType,		ModVersion,		RequiredCivWin,				IconAtlas,					 		PortraitIndex)
VALUES	('AA_JAR_SAMNITES_SPECIAL',	'TXT_KEY_AA_JAR_SAMNITES_SPECIAL_HEADER',	'TXT_KEY_AA_JAR_SAMNITES_SPECIAL_TEXT',	'MOD_JAR_SAMNITES',	3,				null,					'JAR_SAMNITES_ACHIEVEMENT_ATLAS',	 1),
		('AA_JAR_SAMNITES_VICTORY',	'TXT_KEY_AA_JAR_SAMNITES_VICTORY_HEADER',	'TXT_KEY_AA_JAR_SAMNITES_VICTORY_TEXT',	'MOD_JAR_SAMNITES',	3,			'CIVILIZATION_SAMNITES',	'JAR_SAMNITES_ACHIEVEMENT_ATLAS',	 0);
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Tabs (
	AchievementType			text		default	null,
	TabType					text		default	null);

INSERT OR REPLACE INTO AdditionalAchievements_Tabs
		(AchievementType,					TabType)
VALUES	('AA_JAR_SAMNITES_SPECIAL',	'TAB_JAR_CIVS'),
		('AA_JAR_SAMNITES_VICTORY',	'TAB_JAR_CIVS');
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
--==========================================================================================================================
-- ML_CivCultures
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS ML_Cultures(ID INTEGER PRIMARY KEY AUTOINCREMENT, Type TEXT, 'Group' TEXT, Description TEXT, SuggestedCivs TEXT);
INSERT OR REPLACE INTO ML_Cultures
			(Type,				'Group')
VALUES		('SOUTH_ITALY', 	'CULTURE_GROUP_EUROPEAN');

UPDATE ML_Cultures
SET Description = 'TXT_KEY_ML_CULTURE_' || Type,
	SuggestedCivs = 'TXT_KEY_ML_CULTURE_' || Type || '_SUGGESTEDCIVS'
WHERE Type = 'SOUTH_ITALY';
--------------------------------
-- LAKE
--------------------------------
CREATE TABLE IF NOT EXISTS ML_Labels_Dynamic (ID INTEGER PRIMARY KEY AUTOINCREMENT, Name TEXT, MainType TEXT default "FEATURE", SubType TEXT, CultureType TEXT);
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_VARANO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LESINA'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_AVERNO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LUCRINO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LENTINI'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_BIVIERE');
--------------------------------
-- OCEAN
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_TIRRENO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_ADRIATICO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_IONIO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_MEDITERRANEAN'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_SICILYSTRAIT');
--------------------------------
-- REGION
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_LUCANIA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SANNIO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_IRPINIA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_CILENTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_CAPITANATA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SALENTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_TAVOLIERE'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SILA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SIBARI'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MARSICA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_ABRUZZO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_NOTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MOLISE'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MAZARA');
--------------------------------
-- MOUNTAIN
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_GRANSASSO'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_POLLINO'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_SERRA'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MATESE'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_METAMOUNT'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MONTIDAUNI'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MOUNTETNA'),			
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MOUNTVESUVIUS');
--------------------------------
-- FOREST
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_SCORACE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_ARCHIFORO'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_MERCADANTE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_CERRETACOGNOLE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_SANTANTONIO'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_PENNATARO');
--------------------------------
-- ISLAND
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SICILY'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_CAPRI'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_ISCHIA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_LAMPEDUSA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_FAVIGNANA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_USTICA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_LIPARI'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SALINA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SANDOMINO'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_PANTELLERIA');
--------------------------------
-- RIVER
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_VOLTURNO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_SIMETO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_LIRI'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_OFANTO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_SANGRO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_FORTORE'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_BASENTO');
--==========================================================================================================================
-- ML_CivCultures
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT OR REPLACE INTO ML_CivCultures
			(CivType,					CultureType,	CultureEra)
VALUES		('CIVILIZATION_SAMNITES',	'SOUTH_ITALY',		'ANY');
--==========================================================================================================================
--==========================================================================================================================