--------------------------------------------------------------
-- Samnites - Enoteca
--------------------------------------------------------------
local eResourceLiqStrega = GameInfoTypes.RESOURCE_LIQSTREGA
local eCivilizationSamnites = GameInfoTypes.CIVILIZATION_SAMNITES
local eImprovementPlantation = GameInfoTypes.IMPROVEMENT_PLANTATION

-- creates Liqueur Strega under city
function OnConstructionPlaceLiqStrega(iPlayer, iCity, iBuilding)
	local pPlayer = Players[iPlayer]
	
	if not(pPlayer and pPlayer:GetCivilizationType() == eCivilizationSamnites) then return end
	if iBuilding ~= GameInfoTypes.BUILDING_ENOTECA then return end
	
	local pCity = pPlayer:GetCityByID(iCity)
	
	if pCity then
		local pPlot = Map.GetPlot(pCity:GetX(), pCity:GetY())
	
		pPlot:SetResourceType(eResourceLiqStrega, 1)
		pPlot:SetImprovementType(eImprovementPlantation)
		-- removes plantation after connecting LiqStrega to trade list
		pPlot:SetImprovementType(-1)
	end
end

-- deletes Liqueur Strega if city is razed
function OnRazeRemoveLiqStrega(hexPos, iOldOwner, iCity, iNewOwner)
	local pPlayer = Players[iOldOwner]
	local pCity = pPlayer:GetCityByID(iCity)
	
	if pCity then
		local pPlot = Map.GetPlot(pCity:GetX(), pCity:GetY())
	
		if pPlot and pPlot:GetResourceType() == eResourceLiqStrega then
			pPlot:SetResourceType(-1)
		end
	end
end

if Game.IsCivEverActive(eCivilizationSamnites) then
	GameEvents.CityConstructed.Add(OnConstructionPlaceLiqStrega)
	Events.SerialEventCityDestroyed.Add(OnRazeRemoveLiqStrega)
end