--==========================================================================================================================
-- RESOURCES
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);

INSERT INTO Resources 
			(Type,				TechReveal,		TechCityTrade, 		Description,					Civilopedia, 								Help,									ResourceClassType, 	ArtDefineTag, 					CivilizationType,		OnlyMinorCivs,  IconString, 		PortraitIndex, 	IconAtlas)
VALUES		('RESOURCE_LIQSTREGA',	null,			null,			'TXT_KEY_RESOURCE_LIQSTREGA',	'TXT_KEY_CIV5_RESOURCE_LIQSTREGA_TEXT',	'TXT_KEY_RESOURCE_MONOPOLY_LIQSTREGA',	'RESOURCECLASS_LUXURY',	'ART_DEF_RESOURCE_LIQSTREGA',	'CIVILIZATION_SAMNITES',	0,			'[ICON_RES_LIQSTREGA]',	0, 		'SAMNITES4UC_ATLAS');

UPDATE Resources SET Happiness = (SELECT Happiness FROM Resources WHERE Type = 'RESOURCE_WHALE') WHERE Type = 'RESOURCE_LIQSTREGA';
------------------------------
-- Resource_YieldChanges
------------------------------
INSERT INTO Resource_YieldChanges 	
			(ResourceType, 				YieldType, 			Yield)
VALUES		('RESOURCE_LIQSTREGA',		'YIELD_PRODUCTION',		1);
------------------------------
-- Resource_Flavors
------------------------------
INSERT INTO Resource_Flavors 	
		(ResourceType, 			FlavorType, 				Flavor)
VALUES	('RESOURCE_LIQSTREGA',	'FLAVOR_GOLD',				10),
		('RESOURCE_LIQSTREGA',	'FLAVOR_PRODUCTION',		10),
		('RESOURCE_LIQSTREGA',	'FLAVOR_CULTURE',			10);
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------	
-- ArtDefine_StrategicView
------------------------------		
INSERT INTO ArtDefine_StrategicView
			(StrategicViewType, 				TileType, 		Asset)
VALUES 		('ART_DEF_RESOURCE_LIQSTREGA', 	'Resource', 	'IconStrega_256sv.dds');
------------------------------	
-- ArtDefine_LandmarkTypes
------------------------------
INSERT INTO ArtDefine_LandmarkTypes
			(Type, 							LandmarkType, 	FriendlyName)
VALUES 		('ART_DEF_RESOURCE_LIQSTREGA', 	'Resource', 	'SAMNITE_STREGA');
------------------------------
-- ArtDefine_Landmarks
------------------------------
INSERT INTO ArtDefine_Landmarks
			(Era, 			State, 					Scale, 	ImprovementType, 					LayoutHandler, 	ResourceType, 						Model, 										TerrainContour,	Tech)
SELECT		 Era, 			State, 					Scale, 	ImprovementType, 					LayoutHandler, 	'ART_DEF_RESOURCE_LIQSTREGA', 		Model, 										TerrainContour,	Tech
FROM ArtDefine_Landmarks WHERE ResourceType = 'ART_DEF_RESOURCE_WINE';

/*
VALUES 		('Any', 		'Any',					1,		'ART_DEF_IMPROVEMENT_NONE',			'SNAPSHOT',		'ART_DEF_RESOURCE_LIQSTREGA',		'resource_flax.fxsxml',						1,				null),
			('Ancient', 	'UnderConstruction',	1,		'ART_DEF_IMPROVEMENT_PLANTATION',	'SNAPSHOT',		'ART_DEF_RESOURCE_LIQSTREGA',		'hb_plantation_mid_flax.fxsxml',			1,				null),
			('Ancient', 	'Constructed',			1,		'ART_DEF_IMPROVEMENT_PLANTATION',	'SNAPSHOT',		'ART_DEF_RESOURCE_LIQSTREGA',		'plantation_mid_flax.fxsxml',				1,				null),
			('Ancient', 	'Pillaged',				1,		'ART_DEF_IMPROVEMENT_PLANTATION',	'SNAPSHOT',		'ART_DEF_RESOURCE_LIQSTREGA',		'pl_plantation_mid_flax.fxsxml',			1,				null),
			('Industrial', 	'UnderConstruction',	1,		'ART_DEF_IMPROVEMENT_PLANTATION',	'SNAPSHOT',		'ART_DEF_RESOURCE_LIQSTREGA',		'hb_plantation_ind_flax.fxsxml',			1,				null),
			('Industrial', 	'Constructed',			1,		'ART_DEF_IMPROVEMENT_PLANTATION',	'SNAPSHOT',		'ART_DEF_RESOURCE_LIQSTREGA',		'plantation_ind_flax.fxsxml',				1,				null),
			('Industrial', 	'Pillaged',				1,		'ART_DEF_IMPROVEMENT_PLANTATION',	'SNAPSHOT',		'ART_DEF_RESOURCE_LIQSTREGA',		'pl_plantation_ind_flax.fxsxml',			1,				null);
*/
--==========================================================================================================================

--==========================================================================================================================
-- FONT ICONS
--==========================================================================================================================
------------------------------
-- IconFontTextures
------------------------------
INSERT INTO IconFontTextures 
		(IconFontTexture, 						IconFontTextureFile)
VALUES	('ICON_FONT_TEXTURE_LIQSTREGA', 		'LiqStrega_FontIcons');
------------------------------
-- IconFontMapping
------------------------------
INSERT INTO IconFontMapping 
		(IconName, 				IconFontTexture,				IconMapping)
VALUES	('ICON_RES_LIQSTREGA', 	'ICON_FONT_TEXTURE_LIQSTREGA',	1);
--==========================================================================================================================

--==========================================================================================================================
-- IMPROVEMENTS
--==========================================================================================================================
------------------------------
-- Improvements
------------------------------
INSERT INTO Improvement_ResourceTypes
			(ResourceType, 			ImprovementType)
VALUES		('RESOURCE_LIQSTREGA',	'IMPROVEMENT_PLANTATION');
------------------------------
-- Improvement_ResourceType_Yields
------------------------------
INSERT INTO Improvement_ResourceType_Yields
		(ResourceType, 			ImprovementType,			YieldType,			Yield)
VALUES	('RESOURCE_LIQSTREGA',	'IMPROVEMENT_PLANTATION',	'YIELD_CULTURE',	1),
		('RESOURCE_LIQSTREGA',	'IMPROVEMENT_PLANTATION', 	'YIELD_GOLD',		1);
--==========================================================================================================================
-- MONOPOLY
--==========================================================================================================================
UPDATE Resources SET IsMonopoly = '1', MonopolyHappiness = '6' WHERE Type = 'RESOURCE_LIQSTREGA' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');
--==========================================================================================================================
--==========================================================================================================================
