CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
	Type 	text 		default null,
	Value 	integer 	default 1);

--------------------------------	
-- Civilization_BuildingClassOverrides 
--------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 				BuildingClassType, 			BuildingType)
SELECT	'CIVILIZATION_SAMNITES', 	'BUILDINGCLASS_THEATRE', 	'BUILDING_ENOTECA'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_VENICE_LAGUNA');
--==========================================================================================================================
-- ART DEFINES
--==========================================================================================================================
------------------------------
-- ArtDefine_LandmarkTypes
------------------------------
INSERT INTO ArtDefine_LandmarkTypes
			(Type, 									LandmarkType, 	FriendlyName)
VALUES 		('ART_DEF_IMPROVEMENT_SAMNITES', 	'Improvement', 	'SAMNITES_OPPIDUM');
------------------------------
-- ArtDefine_Landmarks
------------------------------
INSERT INTO ArtDefine_Landmarks 
	(Era,	State,					Scale,				ImprovementType,					LayoutHandler,	ResourceType,					Model,						TerrainContour) VALUES
	('Any', 'UnderConstruction',	1,  				'ART_DEF_IMPROVEMENT_SAMNITES',		'RANDOM',		'ART_DEF_RESOURCE_NONE',		'SamnOpp_HB.fxsxml',			1),
	('Any', 'Constructed',			1,  				'ART_DEF_IMPROVEMENT_SAMNITES',		'RANDOM',		'ART_DEF_RESOURCE_NONE',		'SamnOpp.fxsxml',				1),
	('Any', 'Pillaged',				1,  				'ART_DEF_IMPROVEMENT_SAMNITES',		'RANDOM',		'ART_DEF_RESOURCE_NONE',		'SamnOpp_PL.fxsxml',			1);
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView
			(StrategicViewType, 					TileType, 		Asset)
VALUES 		('ART_DEF_IMPROVEMENT_SAMNITES', 	'Improvement', 	'sv_impr128.dds');
------------------------------
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases
		(Atlas, 								IconSize, 	Filename, 						IconsPerRow, 	IconsPerColumn)
VALUES	('SAMNITES4UC_ATLAS', 					256, 		'Samnites4UC_256.dds',				2, 				2),
		('SAMNITES4UC_ATLAS', 					128, 		'Samnites4UC_128.dds',				2, 				2),
		('SAMNITES4UC_ATLAS', 					80, 		'Samnites4UC_80.dds',				2, 				2),
		('SAMNITES4UC_ATLAS', 					64, 		'Samnites4UC_64.dds',				2, 				2),
		('SAMNITES4UC_ATLAS', 					45, 		'Samnites4UC_45.dds',				2, 				2),
		('SAMNITES4UC_ATLAS', 					32, 		'Samnites4UC_32.dds',				2, 				2);
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
-- Buildings
------------------------------	
INSERT INTO Buildings 	
		(Type, 					BuildingClass, Cost, GoldMaintenance, SpecialistCount, SpecialistType, PrereqTech, Description, 				Civilopedia, 					Help, 								Strategy,								ArtDefineTag, 	MinAreaSize, ConquestProb, HurryCostModifier, PortraitIndex, IconAtlas,			TradeRouteLandDistanceModifier,	TradeRouteSeaDistanceModifier, TradeRouteLandGoldBonus, TradeRouteSeaGoldBonus, EnhancedYieldTech, TechEnhancedTourism)
SELECT	'BUILDING_ENOTECA',		BuildingClass, Cost, GoldMaintenance-2, SpecialistCount, SpecialistType, PrereqTech, 'TXT_KEY_BUILDING_ENOTECA', 'TXT_KEY_CIV5_ENOTECA_TEXT', 	'TXT_KEY_BUILDING_ENOTECA_HELP', 	'TXT_KEY_BUILDING_ENOTECA_STRATEGY',	ArtDefineTag,	MinAreaSize, ConquestProb, HurryCostModifier, 1, 			 'SAMNITES4UC_ATLAS',	30,								30,							200,					 200,					'TECH_RADIO',		2
FROM Buildings WHERE Type = 'BUILDING_THEATRE' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_VENICE_LAGUNA');

UPDATE Buildings SET UnculturedHappinessChange = '-50', FinishLandTRTourism = '5', FinishSeaTRTourism = '5' WHERE Type = 'BUILDING_ENOTECA';
------------------------------	
-- Building_ClassesNeededInCity
------------------------------		
INSERT INTO Building_ClassesNeededInCity 	
		(BuildingType, 		BuildingClassType)
SELECT	'BUILDING_ENOTECA',	BuildingClassType
FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_THEATRE';
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
		(BuildingType, 			YieldType,	Yield)
SELECT	'BUILDING_ENOTECA',		YieldType,	Yield
FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_THEATRE';
------------------------------	
-- Building_Flavors
------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 			FlavorType, Flavor)
SELECT	'BUILDING_ENOTECA',		FlavorType, Flavor
FROM Building_Flavors WHERE BuildingType = 'BUILDING_THEATRE';
------------------------------	
-- Building_UnhappinessNeedsFlatReduction
------------------------------		
INSERT INTO Building_UnhappinessNeedsFlatReduction
		(BuildingType, 			YieldType, Yield)
SELECT	'BUILDING_ENOTECA',		YieldType, Yield
FROM Building_UnhappinessNeedsFlatReduction WHERE BuildingType = 'BUILDING_THEATRE';
------------------------------	
-- Building_FeatureYieldChanges
------------------------------		
INSERT INTO Building_FeatureYieldChanges
		(BuildingType, 			FeatureType, YieldType, Yield)
SELECT	'BUILDING_ENOTECA',		FeatureType, YieldType, Yield
FROM Building_FeatureYieldChanges WHERE BuildingType = 'BUILDING_THEATRE';

INSERT INTO Building_InstantYield
		(BuildingType, 			YieldType,	Yield)
SELECT	'BUILDING_ENOTECA',		YieldType,	Yield
FROM Building_InstantYield WHERE BuildingType = 'BUILDING_THEATRE';
--==========================================================================================================================
-- IMPROVEMENTS
--==========================================================================================================================
-- Improvements
------------------------------
INSERT INTO Improvements
			(Type, 					Description, 					Civilopedia, 							ArtDefineTag, 					Help, 							SpecificCivRequired, 	CivilizationType, 		PillageGold,	HillsMakesValid,	BuildableOnResources,	Permanent,	DestroyedWhenPillaged, 	PortraitIndex, 	IconAtlas,		NoTwoAdjacent,	DefenseModifier)
SELECT 		'IMPROVEMENT_SAMNITES',	'TXT_KEY_IMPROVEMENT_SAMNITES',	'TXT_KEY_IMPROVEMENT_SAMNITES_TEXT',	'ART_DEF_IMPROVEMENT_SAMNITES',	'TXT_KEY_IMPROVEMENT_SAMNITES_HELP',		1,			'CIVILIZATION_SAMNITES',	20,				1,						0,						0,			1,						2,		'SAMNITES4UC_ATLAS',	1,				50
FROM Improvements WHERE Type='IMPROVEMENT_MINE' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_VENICE_LAGUNA');
------------------------------	
-- Improvement_Flavors
------------------------------		
INSERT INTO Improvement_Flavors	
			(ImprovementType, 				FlavorType,				Flavor)
VALUES		('IMPROVEMENT_SAMNITES',	'FLAVOR_SCIENCE',		1),
			('IMPROVEMENT_SAMNITES',	'FLAVOR_CULTURE',		3),
			('IMPROVEMENT_SAMNITES',	'FLAVOR_GOLD',			6),
			('IMPROVEMENT_SAMNITES',	'FLAVOR_PRODUCTION',	4),
			('IMPROVEMENT_SAMNITES',	'FLAVOR_GROWTH',		2),
			('IMPROVEMENT_SAMNITES',	'FLAVOR_CITY_DEFENSE',	2),
			('IMPROVEMENT_SAMNITES',	'FLAVOR_DEFENSE',		5);
------------------------------	
-- Improvement_Yields
------------------------------		
INSERT INTO Improvement_Yields 	
			(ImprovementType, 				YieldType,			Yield)
VALUES		('IMPROVEMENT_SAMNITES',	'YIELD_PRODUCTION',	1),
--			('IMPROVEMENT_SAMNITES',	'YIELD_CULTURE',	1),
			('IMPROVEMENT_SAMNITES',	'YIELD_FOOD',		2);
------------------------------
-- Improvement_TechYieldChanges
------------------------------
INSERT INTO Improvement_TechYieldChanges
			(ImprovementType,				TechType,					YieldType,			Yield)
VALUES	--	('IMPROVEMENT_SAMNITES',	'TECH_ENGINEERING',			'YIELD_PRODUCTION',	1),
		--	('IMPROVEMENT_SAMNITES',	'TECH_GUILDS',				'YIELD_GOLD',		1),
			('IMPROVEMENT_SAMNITES',	'TECH_CHEMISTRY',			'YIELD_FOOD',		1),
			('IMPROVEMENT_SAMNITES',	'TECH_ARCHITECTURE',		'YIELD_CULTURE',	1),
			('IMPROVEMENT_SAMNITES',	'TECH_ECONOMICS',			'YIELD_GOLD',		1),
			('IMPROVEMENT_SAMNITES',	'TECH_INDUSTRIALIZATION',	'YIELD_PRODUCTION',	2),
			('IMPROVEMENT_SAMNITES',	'TECH_FERTILIZER',			'YIELD_FOOD',		1),
			('IMPROVEMENT_SAMNITES',	'TECH_RADIO',				'YIELD_CULTURE',	2);

/* Yields:
- Construction: 2 Food, 1 Prod, 
- Chemistry:	3 Food, 1 Prod,
- Architecture: 3 Food, 1 Prod, 1 Culture
- Economics:	3 Food, 1 Prod, 1 Culture, 1 Gold
- Fertilizer:	4 Food, 1 Prod, 1 Culture, 1 Gold
- Industrializ.:4 Food, 3 Prod, 1 Culture, 1 Gold
- Radio:		4 Food, 3 Prod, 3 Culture, 1 Gold
*/

------------------------------	
-- Improvement_ValidTerrains
------------------------------		
INSERT INTO Improvement_ValidTerrains 	
			(ImprovementType, 				TerrainType)
VALUES		('IMPROVEMENT_SAMNITES',	'TERRAIN_HILL'),
			('IMPROVEMENT_SAMNITES',	'TERRAIN_TUNDRA'),		
			('IMPROVEMENT_SAMNITES',	'TERRAIN_SNOW');

INSERT INTO Improvement_RouteYieldChanges
	(ImprovementType, RouteType, YieldType, Yield)
VALUES
	('IMPROVEMENT_SAMNITES', 'ROUTE_ROAD', 'YIELD_GOLD', 1),
	('IMPROVEMENT_SAMNITES', 'ROUTE_ROAD', 'YIELD_PRODUCTION', 1),
	('IMPROVEMENT_SAMNITES', 'ROUTE_RAILROAD', 'YIELD_GOLD', 1),
	('IMPROVEMENT_SAMNITES', 'ROUTE_RAILROAD', 'YIELD_PRODUCTION', 2);			
--==========================================================================================================================

--==========================================================================================================================
-- BUILDS
--==========================================================================================================================				
------------------------------
-- Builds
------------------------------		
INSERT INTO Builds		
			(Type,							PrereqTech,			ImprovementType, 		Description, 							Help, 										Recommendation, 							Time, EntityEvent, 			OrderPriority, 	IconIndex, 	IconAtlas)
SELECT 		'BUILD_IMPROVEMENT_SAMNITES',	'TECH_MASONRY',		'IMPROVEMENT_SAMNITES',	'TXT_KEY_BUILD_IMPROVEMENT_SAMNITES',	'TXT_KEY_BUILD_IMPROVEMENT_SAMNITES_HELP',	'TXT_KEY_BUILD_IMPROVEMENT_SAMNITES_REC',	Time, 'ENTITY_EVENT_BUILD',	95,				3,			'SAMNITES4UC_ATLAS'
FROM Builds WHERE Type='BUILD_MINE' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_VENICE_LAGUNA');
------------------------------				
-- Unit_Builds
------------------------------				
INSERT INTO Unit_Builds	
			(UnitType, 		BuildType)
VALUES		('UNIT_WORKER',	'BUILD_IMPROVEMENT_SAMNITES');
------------------------------				
-- BuildFeatures
------------------------------	
INSERT INTO BuildFeatures
		(BuildType, 					FeatureType, 	PrereqTech, 			Time, Production, Remove)
VALUES 	('BUILD_IMPROVEMENT_SAMNITES', 'FEATURE_JUNGLE', 'TECH_CALENDAR', 		'500', 30 ,1),
		('BUILD_IMPROVEMENT_SAMNITES', 'FEATURE_FOREST', 'TECH_BRONZE_WORKING', '300', 45, 1);
--==========================================================================================================================

--==========================================================================================================================
-- POLICY
--==========================================================================================================================				
------------------------------
-- Policy_ImprovementYieldChanges
------------------------------		
INSERT INTO Policy_ImprovementYieldChanges
			(PolicyType,					ImprovementType,		YieldType,			Yield)
VALUES		('POLICY_NEW_DEAL',				'IMPROVEMENT_SAMNITES',	'YIELD_GOLD',		5),
			('POLICY_TRADITION_FINISHER',	'IMPROVEMENT_SAMNITES',	'YIELD_FOOD',		1),
			('POLICY_FIVE_YEAR_PLAN',		'IMPROVEMENT_SAMNITES',	'YIELD_PRODUCTION',	1),
			('POLICY_MOBILIZATION',			'IMPROVEMENT_SAMNITES',	'YIELD_SCIENCE',	3),
			('POLICY_URBANIZATION',			'IMPROVEMENT_SAMNITES',	'YIELD_FOOD',		2);
--==========================================================================================================================
-- BUILDING
--==========================================================================================================================				
------------------------------
-- Building_ImprovementYieldChangesGlobal
------------------------------	
INSERT INTO Building_ImprovementYieldChangesGlobal
	(BuildingType, ImprovementType, YieldType, Yield)
VALUES
	('BUILDING_MURANO_GLASSWORKS', 'IMPROVEMENT_SAMNITES', 'YIELD_FOOD', 2),
	('BUILDING_MURANO_GLASSWORKS', 'IMPROVEMENT_SAMNITES', 'YIELD_TOURISM', 2);	
--
------------------------------
-- Improvement_AdjacentYieldChanges
------------------------------
INSERT INTO Improvement_AdjacentImprovementYieldChanges
			(ImprovementType,			OtherImprovementType,				YieldType,			Yield)
VALUES		('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_CAMP',					'YIELD_FOOD',		1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_FARM',					'YIELD_PRODUCTION', 1),
		/*	('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_MINE',					'YIELD_FOOD', 		1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_MINE',					'YIELD_GOLD',		1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_QUARRY',				'YIELD_SCIENCE',	1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_QUARRY',				'YIELD_FOOD', 		1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_PLANTATION',			'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_PLANTATION',			'YIELD_GOLD',		1),
		*/	('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_PASTURE',				'YIELD_CULTURE',	1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_PASTURE',				'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_LUMBERMILL_JUNGLE',	'YIELD_FOOD',		1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_LUMBERMILL_JUNGLE',	'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_LUMBERMILL',			'YIELD_FOOD',		1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_LUMBERMILL',			'YIELD_PRODUCTION',	1),
			('IMPROVEMENT_SAMNITES',	'IMPROVEMENT_FORT',					'YIELD_FOOD',		1);
--==========================================================================================================================
--==========================================================================================================================